# Generated by Django 5.0.6 on 2024-07-04 08:26

import django_aiohttp_rq.models.utils
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Config",
            fields=[
                ("id", models.BigAutoField(primary_key=True, serialize=False)),
                (
                    "request_queue",
                    models.CharField(
                        default="aiohttp_rq_request",
                        help_text="Redis request queue",
                        max_length=256,
                    ),
                ),
                (
                    "request_exception_queue",
                    models.CharField(
                        default="aiohttp_rq_request_exception",
                        help_text="Redis request exception queue",
                        max_length=256,
                    ),
                ),
                (
                    "response_queue",
                    models.CharField(
                        default="aiohttp_rq_response",
                        help_text="Redis response queue",
                        max_length=256,
                    ),
                ),
                ("query", models.TextField(help_text="worker SQL query", null=True)),
                (
                    "restart_interval",
                    models.IntegerField(help_text="worker restart interval", null=True),
                ),
                (
                    "sleep_interval",
                    models.FloatField(default=0.1, help_text="worker sleep interval"),
                ),
            ],
            options={
                "db_table": "aiohttp_rq_config",
            },
        ),
        migrations.CreateModel(
            name="Request",
            fields=[
                ("id", models.BigAutoField(primary_key=True, serialize=False)),
                ("url", models.CharField(max_length=255)),
                ("method", models.CharField(default="GET", max_length=255)),
                ("data", models.TextField(null=True)),
                ("headers", models.JSONField(null=True)),
                ("allow_redirects", models.BooleanField(default=True)),
                ("max_redirects", models.IntegerField(default=5, null=True)),
                ("timeout", models.IntegerField(null=True)),
            ],
            options={
                "db_table": "aiohttp_rq_request",
            },
        ),
        migrations.CreateModel(
            name="RequestException",
            fields=[
                ("id", models.AutoField(primary_key=True, serialize=False)),
                ("url", models.CharField(max_length=255)),
                ("exc_class", models.TextField()),
                ("exc_message", models.TextField()),
                (
                    "created_at",
                    models.FloatField(
                        default=django_aiohttp_rq.models.utils.get_timestamp
                    ),
                ),
            ],
            options={
                "db_table": "aiohttp_rq_request_exception",
            },
        ),
        migrations.CreateModel(
            name="Response",
            fields=[
                ("id", models.BigAutoField(primary_key=True, serialize=False)),
                ("request", models.JSONField()),
                ("url", models.CharField(max_length=1024)),
                ("status", models.IntegerField()),
                ("headers", models.JSONField()),
                ("content_path", models.CharField(max_length=255, null=True)),
                (
                    "created_at",
                    models.FloatField(
                        default=django_aiohttp_rq.models.utils.get_timestamp
                    ),
                ),
            ],
            options={
                "db_table": "aiohttp_rq_response",
            },
        ),
    ]
